/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


   ### File Specific:
   main-programmer: Benjamin Grauer

*/


#include "gui_audio.h"

#include <QtGui/QLayout>
#include "sdlincl.h"
#include "debug.h"

#include <QtGui/QPushButton>
#include <QtGui/QCheckBox>
#include <QtGui/QComboBox>

namespace OrxGui
{
  /**
   *  Creates the Audio-Option-Frame
  */
  GuiAudio::GuiAudio(QWidget* parent)
  : Element("Audio"), QGroupBox(parent)
  {
    QGridLayout* layout = new QGridLayout(this);

    {
      QCheckBox* fullscreen = new QCheckBox(QString("Enabled"));
      //fullscreen->setName();
      layout->addWidget(fullscreen, 0, 0);

      QCheckBox* wireframe = new QCheckBox("Test");
      layout->addWidget(wireframe, 1, 0);

      QComboBox* resolution = new QComboBox();
      layout->addWidget(resolution, 2, 0);


    }


  }

  /**
   *  Destructs the Audio-stuff
  */
  GuiAudio::~GuiAudio()
  {
    // nothing to do here.
  }


}
